org.eclipse.emf.facet.custom.metamodel.v0_3_0.query

## Interface QueryPackage

    public interface QueryPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `QueryFactory`
Generated:
Model:
  kind="package"

### Nested Class Summary

Nested Classes
`static interface` `QueryPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

### Field Summary

Fields
`static QueryPackage` `eINSTANCE` The singleton instance of the package.
`static java.lang.String` `eNAME` The package name.
`static java.lang.String` `eNS_PREFIX` The package namespace name.
`static java.lang.String` `eNS_URI` The package namespace URI.
`static int` `URI_IMAGE_QUERY` The meta object id for the '`URI Image Query`' class.
`static int` `URI_IMAGE_QUERY__CAN_BE_CACHED` The feature id for the 'Can Be Cached' attribute.
`static int` `URI_IMAGE_QUERY__CAN_HAVE_SIDE_EFFECTS` The feature id for the 'Can Have Side Effects' attribute.
`static int` `URI_IMAGE_QUERY__URI` The feature id for the 'Uri' attribute.
`static int` `URI_IMAGE_QUERY_FEATURE_COUNT` The number of structural features of the 'URI Image Query' class.

### Method Summary

All Methods Instance Methods Abstract Methods
`QueryFactory` `getQueryFactory()` Returns the factory that creates the instances of the model.
`EAttribute` `getURIImageQuery_Uri()` Returns the meta object for the attribute '`Uri`'.
`EClass` `getURIImageQuery()` Returns the meta object for class '`URI Image Query`'.

### Field Detail

#### eNAME

    static final java.lang.String eNAME

The package name.

See Also:
  Constant Field Values
Generated:

#### eNS_URI

    static final java.lang.String eNS_URI

The package namespace URI.

See Also:
  Constant Field Values
Generated:

#### eNS_PREFIX

    static final java.lang.String eNS_PREFIX

The package namespace name.

See Also:
  Constant Field Values
Generated:

#### eINSTANCE

    static final QueryPackage eINSTANCE

The singleton instance of the package.

Generated:

#### URI_IMAGE_QUERY

    static final int URI_IMAGE_QUERY

The meta object id for the '`URI Image Query`' class.

See Also:
  `org.eclipse.emf.facet.custom.metamodel.v0_3_0.query.impl.URIImageQueryImpl`, `org.eclipse.emf.facet.custom.metamodel.v0_3_0.query.impl.QueryPackageImpl#getURIImageQuery()`, Constant Field Values
Generated:

#### URI_IMAGE_QUERY__CAN_HAVE_SIDE_EFFECTS

    static final int URI_IMAGE_QUERY__CAN_HAVE_SIDE_EFFECTS

The feature id for the 'Can Have Side Effects' attribute.

See Also:
  Constant Field Values
Generated:
Ordered:

#### URI_IMAGE_QUERY__CAN_BE_CACHED

    static final int URI_IMAGE_QUERY__CAN_BE_CACHED

The feature id for the 'Can Be Cached' attribute.

See Also:
  Constant Field Values
Generated:
Ordered:

#### URI_IMAGE_QUERY__URI

    static final int URI_IMAGE_QUERY__URI

The feature id for the 'Uri' attribute.

See Also:
  Constant Field Values
Generated:
Ordered:

#### URI_IMAGE_QUERY_FEATURE_COUNT

    static final int URI_IMAGE_QUERY_FEATURE_COUNT

The number of structural features of the 'URI Image Query' class.

See Also:
  Constant Field Values
Generated:
Ordered:

### Method Detail

#### getURIImageQuery

    EClass getURIImageQuery()

Returns the meta object for class '`URI Image Query`'.

Returns:
  the meta object for class 'URI Image Query'.
See Also:
  `URIImageQuery`
Generated:

#### getURIImageQuery_Uri

    EAttribute getURIImageQuery_Uri()

Returns the meta object for the attribute '`Uri`'.

Returns:
  the meta object for the attribute 'Uri'.
See Also:
  `URIImageQuery.getUri()`, `getURIImageQuery()`
Generated:

#### getQueryFactory

    QueryFactory getQueryFactory()

Returns the factory that creates the instances of the model.

Returns:
  the factory that creates the instances of the model.
Generated: